欢迎来到361模板(www.ke361.com),原创精品织梦模板提供商。QQ快速注册登录 网站托管 VIP 网站定制

织梦模板

当前位置:织梦模板 > 技术文档 > CMS技术 > 织梦CMS后台出现500错误是什么原因
这篇文章主要为大家详细介绍了织梦CMS后台出现500错误是什么原因,具有一定的参考价值,感兴趣的小伙伴们可以参考一下,有需要的朋友可以收藏方便以后借鉴。

       织梦CMS后台出现500错误,不是很常见,但是也有一些情况会造成织梦后台访问出现500错误,如下图所示:

织梦后台500错误

如下这样的问题,我们先看下详情织梦后台出现500错误详情

经过分析织梦361发现一般出现织梦后台500错误的都是WIN系统的主机iis环境的小伙伴才会遇到,出现织梦后台500错误大致可分为两种可能。

第一种、织梦核心文件丢失或者织梦核心文件代码错误

      如果是这种情况引起的,我们很难找到具体是哪个文件引起的,织梦模板网小编个人推荐使用替换的方法来解决。

把你网站上的这3个文件夹重命名作为备份

dede(后台) 改名 dede1 作为备份

data 改名 data1 作为备份

include 改名 include1 作为备份

从织梦官方下载织梦程序包并解压,把官方程序包里的这3个文件夹上传到你网站上去

然后把刚刚改名的 data1/common.inc.phpdata1/config.cache.inc.php 放回新的 data 文件夹里就可以了。

第二种、网站织梦程序版本太低而主机PHP版本过高造成

第一步、首先我们先检查下你网站程序是织梦什么版本的

打开 /data/admin/ver.txt 文件查看,例如

查看织梦程序版本

在这里,如你看到的是2014 、 2015 、 2016 、 2017 开头的都属于旧版本了。

第二步、查看你主机PHP版本

在虚拟空间后台查看PHP版本

如上图所示,我们可以在虚拟空间主机控制后台查看。如果不会在主机面板查看的话,可以自己添加一个 k.php ,里面打上代码

<?php
phpinfo();

把 k.php 文件上传到你网站根目录里,然后在浏览器上打开

http://域名/k.php

就可以看到当前主机使用的php版本啦,看完后,记得删除这个k.php文件哦。如下图所示:

查看PHP版本

当我们检查完织梦版本和主机PHP版本后,如果你发下你的织梦版本是2014 、 2015 、 2016 、 2017 开头的织梦版本的话,那你的织梦都属于旧版本 低版本,较低版本的织梦有些内容无法在PHP5.4 PHP5.5 以上的版本环境里正常运行的,所以这个时候我们可以通过降低PHP版本的方法来解决织梦后台出现500错误,把织梦PHP降低为PHP5.2才能正常使用织梦低版本程序,或者直接把织梦程序升级为最新的20180109版本。这样问题就会得以解决。

以上就是织梦CMS后台出现500错误是什么原因的全部内容,希望对大家的学习和解决疑问有所帮助,也希望大家多多支持361模板网。

感谢打赏,我们会为大家提供更多优质资源!

热词标签: 织梦 织梦后台 500错误

上一篇织梦dedeCMS后台默认用户名admin修改的三种方法

下一篇帝国CMS后台发布文章在文章列表中标题字数被截取如何恢复

取消

感谢您的支持,我们会继续努力的!

扫码支持
扫码打赏,你说多少就多少

打开支付宝扫一扫,即可进行扫码打赏哦

Powered by361模板网,分享从这里开始,精彩与您同在